import { Token } from "./tokenize";
/**
 * Markdown parser class
 */
export declare class MarkdownParser {
    private plugins;
    private useSyntaxHighlighting;
    constructor();
    /**
     * Allows additional plugins to be registered
     * @param plugin A function that processes a token and returns HTML or null
     */
    use(plugin: (token: Token) => string | null): this;
    /**
     * Enables or disables syntax highlighting
     * @param enable A boolean indicating whether to enable syntax highlighting
     */
    enableSyntaxHighlighting(enable: boolean): this;
    /**
     * Renders Markdown input into HTML
     * @param input The Markdown string to be rendered
     * @returns Rendered HTML string
     */
    render(input: string): string;
}
//# sourceMappingURL=MarkdownParser.d.ts.map